%define major     19.1
%define libname   %mklibname %name %{major}
%define develname %mklibname %name -d

%global commit 0cf86c9b37b67907bcd85ffe8758925d4a0f5784
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           spirv-llvm-translator
Version:        19.1.5
Release:        %mkrel 1
Summary:        LLVM to SPIRV Translator
Group:          System/Libraries

License:        NCSA
URL:            https://github.com/KhronosGroup/SPIRV-LLVM-Translator
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  llvm-devel
BuildRequires:  llvm-static
BuildRequires:  spirv-headers
BuildRequires:  spirv-tools-devel
BuildRequires:  zlib-devel

%description
Khronos LLVM to SPIRV Translator. This is a library
to be used by Mesa for OpenCL support. It translate
LLVM IR to Khronos SPIR-V. It also includes a
standalone tool used for building libclc.

%package tools
Summary: Standalone llvm to spirv translator tool
Group:   System/Base
Requires: %{name}%{?_isa} = %{version}-%{release}

%description tools
This package contains the standalone llvm to spirv tool.

%package -n %{libname}
Summary: Standalone llvm to spirv translator tool lib
Group:   System/Libraries
Provides: %{name}%{?_isa} = %{version}-%{release}
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
Khronos LLVM to SPIRV Translator. This is a library
to be used by Mesa for OpenCL support. It translate
LLVM IR to Khronos SPIR-V. It also includes a
standalone tool used for building libclc.

%package -n %{develname}
Summary: Development files for LLVM to SPIRV Translator
Group:   Development/C
Requires: %{name}%{?_isa} = %{version}-%{release}
Obsoletes: spirv-llvm-translator-%{_lib}spirv-llvm-translator-devel < 17.0.0-2

%description -n %{develname}
This package contains libraries and header files for
developing against %{name}

%prep
%autosetup -n SPIRV-LLVM-Translator-%{commit} -p1

%build
%cmake -GNinja \
       -DLLVM_BUILD_TOOLS=ON \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DCMAKE_INSTALL_RPATH:BOOL=";" \
       -DLLVM_DIR="/usr/lib64/cmake/llvm/" \
%if 0%{?__isa_bits} == 64
       -DLLVM_LIBDIR_SUFFIX=64 \
%else
       -DLLVM_LIBDIR_SUFFIX= \
%endif
       -DLLVM_EXTERNAL_PROJECTS="SPIRV-Headers" \
       -DLLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR="/usr/include/spirv/"

%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%{_libdir}/libLLVMSPIRVLib.so.%{major}

%files tools
%{_bindir}/llvm-spirv

%files -n %{develname}
%{_includedir}/LLVMSPIRVLib/
%{_libdir}/libLLVMSPIRVLib.so
%{_libdir}/pkgconfig/LLVMSPIRVLib.pc


%changelog
* Fri Apr 18 2025 wally <wally> 19.1.5-1.mga10
+ Revision: 2176805
- new version 19.1.5

* Fri Mar 28 2025 daviddavid <daviddavid> 19.1.3-1.mga10
+ Revision: 2170510
- new version: 19.1.3

* Tue Nov 12 2024 wally <wally> 19.1.1-1.mga10
+ Revision: 2114620
- new version 19.1.1

* Sat Mar 30 2024 wally <wally> 17.0.0-2.mga10
+ Revision: 2053224
- fix devel pkg name

* Tue Feb 27 2024 wally <wally> 17.0.0-1.mga10
+ Revision: 2044659
- new version 17.0.0 (sync with Fedora)
- add Gentoo patch to fix build

* Thu Sep 22 2022 tv <tv> 15.0.0-1.mga9
+ Revision: 1891451
- Update to llvm 15

* Mon Apr 25 2022 tv <tv> 14.0.0-1.mga9
+ Revision: 1853151
- Update to llvm 14
- Rebuild for llvm-14
- Explicitely target spirv-headers
- 13.0.0
- Rebuild for llvm 13.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Apr 07 2021 tmb <tmb> 12.0.0-0.20210212.1.mga9
+ Revision: 1714003
- update to 12.0 from git
- ajust for mageia
- imported package spirv-llvm-translator


* Mon Feb 15 2021 Dave Airlie <airlied@redhat.com> - 11.1.0-1
- Update to llvm 11.1.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 11.0.0-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Aug 19 2020 Dave Airlie <airlied@redhat.com> - 11.0.0-0.1
- Initial package of git snapshot for 11.0.0

